################################################################################
########################## Save scorecard image ################################
################################################################################

##### Image path to save for simple scorecard  ######

save_scorecard_single <- function(system, reference, var, start.year, end.year, scorecard.type, cross.validation, metric.aggregation){
  
  period <- paste0(start.year, "-", end.year)
  
  
  scorecard_save_path <- paste0(fileout, # "/", system,
                                "/scorecard-", scorecard.type, "_", system, "_", reference, "_",
                                var, "_", period, "_crossval-", tolower(toString(cross.validation)),"_agg-", metric.aggregation, ".png")
  
  
  return(scorecard_save_path)
  
}


##### Image path to save for multi system scorecard ######

save_scorecard_multi <- function(model, eval.name, var, start.year, end.year, scorecard.type, cross.validation, metric.aggregation, region){
  
  period <- paste0(start.year, "-", end.year)
  
  scorecard_save_path <- paste0(fileout, # "/", system,
                                "/scorecard-", scorecard.type, "_multi-", tolower(model), "_", eval.name, "_",
                                var, "_", period, "_crossval-", tolower(toString(cross.validation)),"_agg-", metric.aggregation,"_", region, ".png")
  
  return(scorecard_save_path)
  
}